---
date: 2020-11-17
id: 367d8948-4c79-4ce7-a040-230db4b7eed2
title: Symfony Attributes
---

# Description

Attribute support was added in [Symfony
5.1](20201116105919-symfony_5_1).

# Attributes

## Controller

-   [Symfony Controller Argument
    Attributes](20201117102440-symfony_controller_argument_attributes)

## Constraitns

-   [Define Constraints as
    Attributes](20201117112727-define_constraints_as_attributes)

## Depdencies

-   [Required](20201117111757-required)

## Routing

-   [Symfony Routing
    Attributes](20201117105314-symfony_routing_attributes)
